<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
  <!-- params: currentProcedure = the current order in the table 
				 displayEncounterInfo : displays the column with the encounter info if set to true-->
  <g:column filterBy="#{'requestedProcedureID'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['requestedProcedureID']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.ID']}</ui:define>
    <h:outputText value="#{currentProcedure.requestedProcedureID}"/>
  </g:column>
  <g:column filterBy="#{'order.accessionNumber'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['order.accessionNumber']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.AccessionNumber']}</ui:define>
    <h:outputText value="#{currentProcedure.order.accessionNumber}"/>
  </g:column>
  <g:column filteryBy="#{'studyInstanceUID'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['studyInstanceUID']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.StudyInstanceUID_2']}</ui:define>
    <h:outputText value="#{currentProcedure.studyInstanceUID}"/>
  </g:column>
  <g:column filterBy="#{'code'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['code']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.Code']}</ui:define>
    <h:outputText value="#{currentProcedure.code}"/>
  </g:column>
  <g:column filterBy="#{'orderStatus'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['orderStatus']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.Status']}</ui:define>
    <h:outputText value="#{currentProcedure.orderStatus}"/>
  </g:column>
  <g:column sortBy="#{'lastChanged'}" sortOrder="descending">
    <ui:define name="header">#{messages['gazelle.ordermanager.LastChanged']}</ui:define>
    <g:date value="#{currentProcedure.lastChanged}"/>
  </g:column>
  <g:column filterBy="#{'creator'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['creator']}">
    <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
    <h:outputText value="#{currentProcedure.creator}"/>
  </g:column>
</ui:composition>
